Bug 970683 - get-oui and get-iab are broken
get-oui and get-iab are broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: arp-scan (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 11:06 EDT by Harald Reindl
Modified: 2014-02-05 16:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:39:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2013-06-04 11:06:54 EDT
http://standards.ieee.org/develop/regauth/oui/oui.txt is nearly 1 MB large

since at least some weeks /usr/share/arp-scan/ is trashed with updates only a few bytes small while this worked for sure over the whole last year and the shipped files with the package are very very outdated and does not know a lot of MAC-address vendors existing in the wild

[root@rh:~]$ cat /scripts/refresh-hwaddr-list.sh 
#!/usr/bin/bash
cd /usr/share/arp-scan/
get-oui 
get-iab

[root@rh:~]$ refresh-hwaddr-list.sh 

[root@rh:~]$ ls /usr/share/arp-scan/
insgesamt 20K
-rw-r----- 1 root root  732 2013-06-04 17:03 ieee-iab.txt.bak
-rw-r----- 1 root root  736 2013-06-04 17:03 ieee-oui.txt.bak
-rw-r----- 1 root root  732 2013-06-04 17:03 ieee-iab.txt
-rw-r----- 1 root root  736 2013-06-04 17:03 ieee-oui.txt
-rw-r--r-- 1 root root 2,1K 2012-07-19 01:21 mac-vendor.txt
Comment 1 Harald Reindl 2013-06-04 11:31:17 EDT
and if i rebuild http://koji.fedoraproject.org/koji/buildinfo?buildID=418742 for F18 with "rpm --rebuild" all is fine again - so please update F17/F18 packages too as well as the CentOS6 ones are broken...................
Comment 2 Harald Reindl 2013-11-02 11:09:16 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=418742
State 	deleted
Started	Mon, 13 May 2013 19:08:56 UTC
Completed Mon, 13 May 2013 19:11:37 UTC

what is that for idiocity instead fix F18 by update also throw away the wroking F19 package?
Comment 3 Fedora End Of Life 2013-12-21 08:51:25 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 16:39:54 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.